/*
 Theme Name:   Astra Child
 Theme URI:    #
 Description:  Astra Child Theme
 Author:       Bart De Middelaer
 Author URI:   #
 Template:     astra
 Version:      1.0.2
*/

/* Import parent theme styles and Google Fonts */
@import url("../astra/style.css");
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600&display=swap');

/* Global Styles */
* {
    font-family: 'Poppins', sans-serif;
}

body{
	background:white
}

/* goed zetten van de content nudat de header static is*/
.ast-woocommerce-container {margin-top: 25px;}
.entry-content{margin-top: 90px;}

/* Hide shipping text and WooCommerce shipping fields */
.ast-shipping-text, .woocommerce-shipping-fields {
    display: none !important;
}

/* Content background color */
.entry-content {
    background: white;
}

/* Category promotion box styling */
.categorie-promotion {
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

/* Responsive adjustments for screen widths smaller than 920px */
@media only screen and (max-width: 920px) {
    .custom-language-switcher {
        min-width: auto;
        position: absolute;
        top: 0;
        right: 0;
    }
    #ast-hf-menu-1, .main-header-menu {
        position: fixed;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
        width: 100%;
    }
}

/* WooCommerce Custom Search Results*/
.custom-woocommerce-search-title {
    margin:0px;
    
}

.custom-woocommerce-search-results {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 15px;
    list-style-type: none;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    align-content: center;
    justify-content: center;
}

.custom-woocommerce-product {
    background-color: var(--ast-global-color-7);
    border-radius: 8px;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    transition: transform 0.3s ease-in-out;
    overflow: hidden;
    text-align: center;
    margin-bottom: 15px;
}

.custom-woocommerce-product:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.custom-woocommerce-product-img-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 300px;
    width: 90%;
    border-radius: 8px;
    padding: 5px;
    margin: 20px auto;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.custom-woocommerce-product img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.custom-woocommerce-product-details {
    padding: 0px 5px;
}

.custom-woocommerce-product a {
    font-size: 20px;
    font-weight: 600;
    color: black;
}

.custom-woocommerce-product-price {
    padding: 10px;
    width: 100%;
    text-align: center;
    background: var(--ast-global-color-0);
    color: white;
    font-size: 20px;
    font-weight: 800;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

/* Responsive WooCommerce Product Grid */
.products {
    grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
}

@media only screen and (max-width: 1400px) {
    .products {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media only screen and (max-width: 700px) {
    .products {
        grid-template-columns: repeat(1, minmax(0, 1fr)) !important;
    }
}

/* Wishlist Button Adjustments */
.xoo-wl-btn-container {
    margin-bottom: 20px;
}

.ast-above-header-bar {
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    z-index: 1000;
}
